# subsidy_base.h File Reference

Subsidy base class. More...

`#include "cargo_type.h"`
`#include "company_type.h"`
`#include "subsidy_type.h"`
`#include "core/pool_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | Subsidy
| Struct about subsidies, offered and awarded. More...
## Defines
#define | FOR_ALL_SUBSIDIES_FROM(var, start) FOR_ALL_ITEMS_FROM(Subsidy, subsidy_index, var, start)
#define | FOR_ALL_SUBSIDIES(var) FOR_ALL_SUBSIDIES_FROM(var, 0)
## Typedefs
typedef Pool< Subsidy, SubsidyID, 1, MAX_COMPANIES > | SubsidyPool
## Enumerations
enum | { SUBSIDY_OFFER_MONTHS = 12, SUBSIDY_CONTRACT_MONTHS = 12, SUBSIDY_PAX_MIN_POPULATION = 400, SUBSIDY_CARGO_MIN_POPULATION = 900, SUBSIDY_MAX_PCT_TRANSPORTED = 42, SUBSIDY_MAX_DISTANCE = 70 }
| Constants related to subsidies. More...
## Variables
SubsidyPool | _subsidy_pool

## Detailed Description

Subsidy base class.

Definition in file subsidy_base.h.

## Enumeration Type Documentation

anonymous enum

Constants related to subsidies.

Enumerator:

  SUBSIDY_OFFER_MONTHS | Duration of subsidy offer.
  SUBSIDY_CONTRACT_MONTHS | Duration of subsidy after awarding.
  SUBSIDY_PAX_MIN_POPULATION | Min. population of towns for subsidised pax route.
  SUBSIDY_CARGO_MIN_POPULATION | Min. population of destination town for cargo route.
  SUBSIDY_MAX_PCT_TRANSPORTED | Subsidy will be created only for towns/industries with less % transported.
  SUBSIDY_MAX_DISTANCE | Max. length of subsidised route (DistanceManhattan).

Definition at line 56 of file subsidy_base.h.